<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_member_wallet
 *
 * Odpowiada za portfel
 */
class Controller_member_wallet extends Controller_member
{	

	/**
	 * Konstruktor
	 *
	 */
	public function __construct()
	{
		parent::__construct( TRUE );
	}

	
	/**
	 * Dokonywanie transakcji
	 *
	 * @access public
	 */
	public function action_pay()
	{
		$data = explode('|', Core::request()->post('numer'));
		$sms  = Core::request()->post('sms');
	
		if(!strlen($sms))
		{
			Core::ajax()->assign('message', 'Nie podałeś kodu sms');
			Core::ajax()->assign('result',  'error');
			Core::ajax()->send();
		}
		
		// Pobierzmy dane próby doładowania portfela
		$result = Core::get('Payments')->check($sms, $data[0], $data[1]);
		
		if($result[0] != 0.0)
		{
			$result[0] = (float)str_replace(',', '.', $result[0]);
		}
	
		// Jeśli kwota == 0.0 znaczy że kod sms był niepoprawny
		if($result[0] == 0.0)
		{
			// Wyświetlmy informacje
			Core::ajax()->assign('message', $result[1]);
			Core::ajax()->assign('result',  'error');
		}
		// Jeśli kwota != 0.0 to kod był dobry
		else
		{
			// Wyświetlmy informacje
			Core::ajax()->assign('message', $result[1]);
			Core::ajax()->assign('result', 'success');
			
			Logs::add("Doładował portfel kwotą {$result[0]} PLN, wpisując kod {$sms}", Member::logged(), 'wallet');
			
			$amount = round(Member::get('wallet')+$result[0], 2);
			
			MLogs::add("Doładowano portfel kwotą {$result[0]} PLN (stan konta: {$amount} PLN)", 'wallet');
			
			Member::update(Member::get('id'), 'wallet', $amount);
			
			Core::ajax()->assign('wallet', $amount);
		}
		
		// Wyślimy
		Core::ajax()->send();
	}
}