<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_welcome_index
 *
 * Odpowiada za stronę główną
 */
class Controller_welcome_index extends Controller_welcome
{	

	/**
	 * Ilość newsów na strone
	 * @public integer
	 */
	public $news_per_page = 10;
	
	/**
	 * Strona główna
	 *
	 * @access public
	 */
	public function action_index()
	{
		Core::view()->title('Strona Główna');
		
		if(Core::setting()->get('footer_index_info'))
		{
			// Ilość użytkowników
			Core::view()->assign('members_count', Member::getMembersCount());
			// Ilość zablokowanych użytkowników
			Core::view()->assign('blocks_count',  Member::getBlocksCount());
			// Grupy
			Core::view()->assign('groups',  Member::groupList());
		}
		
		// Wyświetlmy
		Core::view()->execute('welcome');
	}
}