<?php defined('SYSPATH') or die('No direct script access.');

class Controller_admin
{	

	/**
	 * Konstruktor
	 * Tutaj sprawdzimy czy użytkownik jest zalogowany i czy posiada uprawnienia...
	 *
	 */
	public function __construct($access = NULL)
	{
	
		// Jeśli posiada dostęp do panelu administracyjnego
		if(Member::logged() && Member::hasAccess('acp'))
		{
			// Zmieńmy tytuł strony...
			Core::view()->title('Panel administracyjny');
			
			// Sprawdźmy czy posiada uprawnienia na konkrentą sekcje
			if($access != NULL)
			{
				// jeśli posiada
				if(Member::hasAccess($access))
				{
					return true;
				}
			}
			
			// Jeśli takie uprawnienie nie jest potrzebne...
			if($access == NULL)
			{
				return true;
			}
		}
		
		// Nie ma dostępu...
		Core::view()->title('Brak dostępu');
		Core::view()->execute('HTTP/no_access', false, true);
	}
}