<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_code
 *
 * Odpowiada za edycje kodów premium
 */
class Controller_admin_code extends Controller_admin
{	
	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_code');
	}
	
	/**
	 * Usuwa logi
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$code_id = Core::request()->post('id');
		
		// Pobierzmy kod..
		$code   = Code::get($code_id, 'id');
		$code   = $code['code'];
		
		// Usuńmy kod...
		$delete = Code::delete($code_id);
		
		Core::ajax()->assign('result',  $delete  ? 'success' : 'error');
		Core::ajax()->assign('message', $delete  ? 'Kod został usunięty' : 'Kod nie istnieje');
	
		if($delete)
		{
			Logs::add("Usunął kod promocyjny {$code}", Member::logged(), 'code');
		}
	
		Core::ajax()->send();
	}
	
	/**
	 * Dodaje kod
	 *
	 * @access public
	 */
	public function action_add()
	{
		$result = Code::add(Core::request()->post());
		
		Core::ajax()->assign('result',  $result[0]  ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		
		if($result[0])
		{
			$code = Core::request()->post('code');
			$wall = Core::request()->post('wallet');
			Logs::add("Dodał kod promocyjny {$code} o wartości {$wall} PLN", Member::logged(), 'code');
		}
		
		Core::ajax()->send();
	}
}