<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_menu
 *
 * Odpowiada za menu
 */
class Controller_admin_menu extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_setting');
	}

	/**
	 * Dodawanie menu
	 *
	 * @access public
	 */
	public function action_add()
	{
		$result = Menu::add(Core::request()->post());
	
		Core::ajax()->assign('result', $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		Core::ajax()->send();
	}
	
	/**
	 * Usuwanie menu
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$result = Menu::delete(Core::request()->post('id'));
	
		Core::ajax()->assign('result', $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		Core::ajax()->send();
	}
	
	/**
	 * Box edycji menu
	 *
	 * @access public
	 */
	public function action_edit_box()
	{
		$data = Menu::get(Core::request()->post('id'));
	
		Core::ajax()->assign('title', 'Edycja menu ' . $data['name']);
		Core::view()->assign('data', $data);
		Core::ajax()->assign('message', Core::view()->execute('admin/menu/edit', TRUE));
		Core::ajax()->send();
	}
	
	/**
	 * Box edycji menu
	 *
	 * @access public
	 */
	public function action_edit()
	{
		$result = Menu::edit(Core::request()->post());
		
		Core::ajax()->assign('result',  $result[0] ? 'success' : 'error');
		Core::ajax()->assign('message', $result[1]);
		Core::ajax()->send();
	}
}