<div class="setting_content content_<?php echo sha1('Menu') ?>">
<script>
	function deleteMenu(id, img){
		
		var yes = confirm('Napewno chcesz usunąć to menu?');

		if( ! yes )
		{
			return false;
		}
		
		$.ajax({
			url: core.getConfig('base_url') + 'admin/menu/delete',
			data: {id: id},
			dataType: 'JSON',
			type: 'POST',
								
			success: function(r){
				if(r.result == 'success'){
					$(img).parent().parent().find('td').hide(400);
				}
				notif(r.message, 2000);
			}
		});
	}
					
	function editMenu(id){
		new SimpleBox({
			url: core.getConfig('base_url') + 'admin/menu/edit_box',
			data: {'id': id},
			width: 800,
			submitValue: 'Edytuj',
			submitClose: true,submitAction: function(){
				var serialize = $('#edit_menu').serialize();
								
				$.ajax({
					url: core.getConfig('base_url') + 'admin/menu/edit',
					data: serialize,
					dataType: 'JSON',
					type: 'POST',
									
					success: function(r){
						notif(r.message, 2000);
					}
				});
			}
		}).show();
	}
</script>
<style>
table tr td img{
	opacity: 0.5;
}
table tr:hover td img{
	opacity: 1.0;
}
</style>
<table class="table menu">
	<tr class="header">
		<td>Nazwa</td>
		<td>Położenie</td>
		<td>Adres URL</td>
		<td>Admin</td>
		<td>Użytkownik</td>
		<td>Gość</td>
		<td></td>
	</tr>
	<?php
		$menu = Menu::get();
		if(count($menu))
		{
			foreach($menu as $m)
			{
				echo '<tr>';
				echo '<td>' . $m['name'] . '</td>';
				echo '<td>' . $m['float'] . '</td>';
				echo '<td>' . $m['url'] . '</td>';
				echo '<td>' . ($m['admin'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
				echo '<td>' . ($m['member'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
				echo '<td>' . ($m['guest'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>') . '</td>';
				echo '<td>
							<img onclick="deleteMenu('.$m['id'].', this)" src="'.Core::$site.'media/image/delete.png">
							<img onclick="editMenu('.$m['id'].')" src="'.Core::$site.'media/image/edit.png">
					 </td>'; 
				echo '</tr>';
			}
		}
		else
		{
			echo '<tr><td colspan="7">Brak menu</td></tr>';
		}
	?>
</table>
<div class="bar" style="margin-top: 15px">Dodaj nową pozycje do menu</div>
<script>
$(document).ready(function(){
	$('#menu_add').submit(function(){
		var serialize = $(this).serialize();

		$.ajax({
			url: core.getConfig('base_url') + 'admin/menu/add',
			data: serialize,
			dataType: 'JSON',
			type: 'POST',
								
			success: function(r){
				notif(r.message, 2000);
			}
		});
	});
});
</script>
<form id="menu_add" onsubmit="return false">
	<?php Core::view()->execute('admin/menu/form') ?>
</form>
</div>