<?php defined('SYSPATH') or die('No direct script access.');

class View
{

	/**
	 * Zmienne do szablonu
	 * @public array
	 */
	public $vars = null;
	
	/**
	 * Assign 
	 *
	 * @param string
	 * @param string
	 */
	public function assign($key, $value = '')
	{
		$this->vars[$key] = $value;
	}
	
	/**
	 * Add ( to samo co assign )
	 *
	 * @param string
	 * @param string
	 */
	public function add($key, $value = '')
	{
		$this->assign($key, $value);
	}

	/**
	 * Wyświetla szablon
	 *
	 * @param string mazwa szablonu
	 */
	public function execute( $tpl_name, $buffer = false, $shutdown = false )
	{
		if($buffer) ob_start();
		
		$path = APPPATH . 'views/' . $tpl_name . '.php';
		
		if( ! is_readable($path) ) HTTP::show_404();	
		
		foreach((array)$this->vars as $key => $value) $$key = $value;
		
		require $path;
		
		if(!$buffer)
		{
			if($shutdown) exit;
		}
		else
		{
			$content = ob_get_contents();
			ob_end_clean();
			return $content;
			
			if($shutdown)
			{
				exit;
			}
		}
	}
	
	
	/**
	 * Funkcja pomocnicza title...
	 *
	 * @param string
	 */
	public function title($value = '')
	{
		$this->assign('title', $value);
	}
}